%global pypi_name tomli
%global commitId 36ef51d6a5a55e0eca077b58695390d041061bd4

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       2.0.1
Release:       1%{?dist}
Summary:       A lil' TOML parser

License:       MIT
URL:           https://github.com/hukkin/tomli
Source0:       python-tomli-36ef51d6a5a55e0eca077b58695390d041061bd4.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-pip
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-flit-core >= 3.2.0

%description
Tomli is a Python library for parsing TOML. Tomli is fully compatible with TOML v1.0.0.

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       A lil' TOML parser

%description -n python%{python3_pkgversion}-%{pypi_name}
Tomli is a Python library for parsing TOML. Tomli is fully compatible with TOML v1.0.0.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheel --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheel %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info
%license LICENSE
%doc README.md

%changelog
* Mon Feb 28 2022 Dimitri Savineau <dsavinea@redhat.com> - 2.0.1-1
- Initial package
